#!/usr/bin/env bash

set -exEuo pipefail

git fetch --tags

nixos_tag="$(
    git tag |
        grep '^nixos-' |
        sed -e 's/^nixos-//' |
        sort -V |
        tail -n1
)"

if [ -z "$NIXOS_TAG" ]; then 
  echo "Error: NIXOS_TAG is not set or is empty."
  exit 1
fi

docker build \
    --platform=linux/amd64,linux/arm64 \
    -t "git.devcomp.xyz/devcomp/nixos:$NIXOS_TAG" \
    -f Dockerfile \
    --push .
